import * as core from '@aws-cdk/core';
export interface IHeader {
    readonly name: string;
    readonly value: string;
}
export interface IMessage {
    readonly format: string;
    readonly content: string;
}
export interface IResource {
    readonly protocol: string;
    readonly url: string;
    readonly headers?: IHeader[];
    readonly messages?: IMessage[];
}
export interface IEndpoint {
    readonly protocol: string;
    readonly url: string;
}
export interface ISubscription {
    readonly name: string;
    readonly customerId: string;
    readonly region: string;
    readonly resource: IResource;
    readonly endpoint: IEndpoint;
}
export interface ISubscriptionProps {
    readonly apiKey: string;
    readonly subscription: ISubscription;
}
export declare class Subscription extends core.Construct {
    attrId: core.Reference;
    constructor(scope: core.Construct, id: string, props: ISubscriptionProps);
}
